Bug 1265122 - X keeps dying on "systemd-logind disappeared"
X keeps dying on "systemd-logind disappeared"
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-22 03:53 EDT by Oskari Saarenmaa
Modified: 2017-12-28 05:55 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 09:41:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2015-09-22 03:53:12 EDT
Description of problem:
My interactive X sessions die with a "systemd-logind disappeared" error roughly 1-5 times per hour on a desktop system.  The same system runs libvirt for runnig KVM VMs for test automation which may or may not be relevant, but I've noticed that the X sessions die more frequently when there's a lot of test automation activity.  libvirt is accessed over ssh (with a different account) and there are sometimes up to 10 ssh logins per minute.

Version-Release number of selected component (if applicable):

This also happened on Fedora 22; I upgraded to F23 alpha to see if it was fixed but the issue's still present.

Actual results:
X suddenly dies and drops me back to GDM login screen.  An extra issue is that logins fail (password is accepted but I'm thrown back to the login screen) until I switch to a text VT and kill the pulseaudio process that was running on the session that died.

Expected results:
X keeps running until I stop it.

Additional info:

[1566311.891] (II) RADEON(0): Modeline "1920x1080"x0.0   74.25  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (33.8 kHz e)
[1566311.891] (II) RADEON(0): Modeline "2880x480"x0.0  108.00  2880 2944 3192 3432  480 489 495 525 -hsync -vsync (31.5 kHz e)
[1575672.736] (EE) 
Fatal server error:
[1575672.738] (EE) systemd-logind disappeared (stopped/restarted?)
[1575672.738] (EE) 
[1575672.738] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[1575672.738] (EE) Please also check the log file at "/home/os/.local/share/xorg/Xorg.0.log" for additional information.
[1575672.738] (EE) 
[1575672.788] (II) AIGLX: Suspending AIGLX clients for VT switch
[1575673.241] (EE) Server terminated with error (1). Closing log file.
Comment 1 Lukáš Nykrýn 2015-10-08 07:58:36 EDT
Can you boot with debug on kernel cmdline and post here output of journal for such boot?
Comment 2 olegon.ru 2015-12-27 14:55:25 EST
The same, very annoying problem with the lost my session with my work :(

[171657.799] (EE) systemd-logind disappeared (stopped/restarted?)
[171657.799] (EE)
[171657.799] (EE) 
Please consult the Fedora Project support
         at http://wiki.x.org
 for help.
[171657.799] (EE) Please also check the log file at "/home/olegon/.local/share/xorg/Xorg.0.log" for additional information.
[171657.799] (EE)
[171657.799] (II) AIGLX: Suspending AIGLX clients for VT switch
[171658.022] (EE) Server terminated with error (1). Closing log file.




Sometimes it's works more than week, but sometimes crashes after some hours of work to black screen (I can only stitch to other VT to text console and reboot...)
Comment 3 olegon.ru 2015-12-27 15:06:29 EST
4.2.8-300.fc23.x86_64, Gnome, two monitors, Intel integrated graphics.
Please, provide me link to documentation with debug option, I need to apply?
I pressed e at grub boot, added debug to kernel options and it's print out "debug is unknown command" message... Which option you would like to see?
Comment 4 Jan Synacek 2016-01-04 08:30:51 EST

Notably "systemd.log_level=" and "systemd.log_target=".
Comment 5 Fedora End Of Life 2016-11-24 07:33:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:41:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.